EaserixDocs
DevelopersAPI referenceSignTemplates

List templates

Public templates plus the caller's own, ordered by usageCount descending.

View as Markdown
GET
/v1/templates
AuthorizationBearer <token>

In: header

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/templates"
{  "templates": [    {      "id": "string",      "name": "string",      "description": "string",      "category": "string",      "created": "2019-08-24T14:15:22Z",      "modified": "2019-08-24T14:15:22Z",      "usageCount": 0,      "isPublic": true,      "hasFile": true,      "pages": 0,      "content": {        "sections": [          {            "heading": "string",            "body": "string"          }        ],        "placeholders": [          {            "key": "string",            "label": "string",            "hint": "string"          }        ]      },      "visibility": "string",      "ownerId": "string",      "recipients": [        {          "name": "string",          "role": "string",          "orderIndex": 0        }      ],      "fields": [        {          "type": "string",          "x": 0,          "y": 0,          "width": 0,          "height": 0,          "page": 0,          "required": true,          "label": "string",          "recipientIndex": 0        }      ]    }  ]}